#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.69])
AC_INIT([Clap-Play], [0.1], [valentin.tazir@bts-malraux.net])
AC_CONFIG_MACRO_DIRS([m4])
AM_INIT_AUTOMAKE([foreign -Wall -Werror])
AM_PROG_AR
AM_PROG_LIBTOOL

# Checks for programs.
AC_PROG_CXX

# Checks for libraries.
 PKG_CHECK_MODULES([LIBPQ], [libpq >= 9.6.15])
 AC_SUBST([LIBPQ_CFLAGS])
 AC_SUBST([LIBPQ_LIBS])

 PKG_CHECK_MODULES([GFLAGS], [gflags >= 2.2.2])
 AC_SUBST([GFLAGS_CFLAGS])
 AC_SUBST([GFLAGS_LIBS])

 PKG_CHECK_MODULES([XSPF], [xspf >= 1.2.0])
 AC_SUBST([XSPF_CFLAGS])
 AC_SUBST([XSPF_LIBS])

 PKG_CHECK_MODULES([LOG4CXX], [liblog4cxx >= 0.10.0])
 AC_SUBST([LOG4CXX_CFLAGS])
 AC_SUBST([LOG4CXX_LIBS])

 PKG_CHECK_MODULES([JSONCPP], [jsoncpp >= 1.7.4])
 AC_SUBST([JSONCPP_CFLAGS])
 AC_SUBST([JSONCPP_LIBS])

 PKG_CHECK_MODULES([LIBCPPTEST], [libcpptest >= 2.0.0])
 AC_SUBST([LIBCPPTEST_CFLAGS])
 AC_SUBST([LIBCPPTEST_LIBS])
# rajoute à la variable LIBS le flag -lpq

# Checks for header files.

# Checks for typedefs, structures, and compiler characteristics.

# Checks for library functions.

AC_CONFIG_FILES([
                 Makefile
                 src/Makefile
                 doc/Makefile
                 ])
AC_OUTPUT
